Interface KnativeEndpointBuilderFactory.KnativeBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- KnativeEndpointBuilderFactory
public static interface KnativeEndpointBuilderFactory.KnativeBuilders
-
Method Summary
Modifier and TypeMethodDescriptionKnative (camel-knative) Send and receive events from Knative.Knative (camel-knative) Send and receive events from Knative.
-
Method Details
-
knative
Knative (camel-knative) Send and receive events from Knative. Category: cloud Since: 3.15 Maven coordinates: org.apache.camel:camel-knative Syntax:knative:type/typeIdPath parameter: type The Knative resource type There are 3 enums and the value can be one of: endpoint, channel, event Path parameter: typeId The identifier of the Knative resource- Parameters:
path- type/typeId- Returns:
- the dsl builder
-
knative
default KnativeEndpointBuilderFactory.KnativeEndpointBuilder knative(String componentName, String path) Knative (camel-knative) Send and receive events from Knative. Category: cloud Since: 3.15 Maven coordinates: org.apache.camel:camel-knative Syntax:knative:type/typeIdPath parameter: type The Knative resource type There are 3 enums and the value can be one of: endpoint, channel, event Path parameter: typeId The identifier of the Knative resource- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- type/typeId- Returns:
- the dsl builder
-